Module org.jfree.chart3d
Package org.jfree.chart3d.style

# Interface ChartStyle

All Known Implementing Classes:
  `StandardChartStyle`

public interface ChartStyle
A chart style provides styling attributes for a chart. To apply a style to a chart, use the `Chart3D.setStyle(org.jfree.chart3d.style.ChartStyle)` method. See the `ChartStyles` class for predefined styles.

Since:
  1.2

## Method Summary

Modifier and Type
Method
Description
`void`
`addChangeListener(ChartStyleChangeListener listener)`
Registers a listener to receive notification of changes to the chart style.
`ChartStyle`
`clone()`
Returns a clone of the chart style.
`Color`
`getAxisLabelColor()`
Returns the foreground color for axis labels.
`Font`
`getAxisLabelFont()`
Returns the axis label font.
`Color`
`getAxisTickLabelColor()`
Returns the color used to draw the tick labels on the axis.
`Font`
`getAxisTickLabelFont()`
Returns the axis tick label font.
`RectanglePainter`
`getBackgroundPainter()`
Returns the painter that fills the background for the chart.
`Color`
`getChartBoxColor()`
Returns the color for the chart box, if any.
`boolean`
`getColumnAxisGridlinesVisible()`
Returns the flag that controls whether or not gridlines are drawn perpendicular to the column axis in category plots.
`Color`
`getGridlineColor()`
Returns the color used to draw the gridlines.
`Stroke`
`getGridlineStroke()`
Returns the stroke used to draw the gridlines.
`Color`
`getLegendFooterBackgroundColor()`
Returns the color used for the background of legend footer text (if any).
`Color`
`getLegendFooterColor()`
Returns the color used for the legend footer text (if any).
`Font`
`getLegendFooterFont()`
Returns the legend footer font.
`Color`
`getLegendHeaderBackgroundColor()`
Returns the background color for the legend header if there is one.
`Color`
`getLegendHeaderColor()`
Returns the foreground color for the legend header if there is one.
`Font`
`getLegendHeaderFont()`
Returns the legend header font.
`Color`
`getLegendItemBackgroundColor()`
Returns the background color for legend items.
`Color`
`getLegendItemColor()`
Returns the foreground color for legend items.
`Font`
`getLegendItemFont()`
Returns the legend item font.
`Shape`
`getLegendItemShape()`
Returns the standard shape for legend items.
`Color`
`getMarkerFillColor()`
Returns the color used to fill the band representing the marker range.
`Color`
`getMarkerLabelColor()`
Returns the color for the marker labels.
`Font`
`getMarkerLabelFont()`
Returns the font used to draw marker labels.
`Color`
`getMarkerLineColor()`
Returns the color used to draw marker lines.
`Stroke`
`getMarkerLineStroke()`
Returns the stroke used to draw marker lines.
`boolean`
`getRowAxisGridlinesVisible()`
Returns the flag that controls whether or not gridlines are drawn perpendicular to the row axis in category plots.
`Color`
`getSectionLabelColor()`
Returns the foreground color used for pie section labels.
`Font`
`getSectionLabelFont()`
Returns the font used for pie section labels.
`Color[]`
`getStandardColors()`
Returns the standard colors for the style.
`Color`
`getSubtitleBackgroundColor()`
Returns the background color for the chart subtitle.
`Color`
`getSubtitleColor()`
Returns the foreground color for the chart subtitle.
`Font`
`getSubtitleFont()`
Returns the subtitle font.
`Color`
`getTitleBackgroundColor()`
Returns the background color for the chart title.
`Color`
`getTitleColor()`
Returns the foreground color for the chart title.
`Font`
`getTitleFont()`
Returns the title font.
`boolean`
`getXAxisGridlinesVisible()`
Returns the flag that controls whether or not gridlines are drawn perpendicular to the x-axis (or column axis).
`boolean`
`getYAxisGridlinesVisible()`
Returns the flag that controls whether or not gridlines are drawn perpendicular to the y-axis (or value axis).
`boolean`
`getZAxisGridlinesVisible()`
Returns the flag that controls whether or not gridlines are drawn perpendicular to the z-axis (or row axis).
`void`
`removeChangeListener(ChartStyleChangeListener listener)`
Deregisters a listener so that it no longer receives notification of chart changes.

## Method Details

### getBackgroundPainter

RectanglePainter getBackgroundPainter()
Returns the painter that fills the background for the chart.

Returns:
  The painter (never `null`).

### getTitleFont

Font getTitleFont()
Returns the title font.

Returns:
  The title font (never `null`).

### getTitleColor

Color getTitleColor()
Returns the foreground color for the chart title.

Returns:
  The foreground color (never `null`).

### getTitleBackgroundColor

Color getTitleBackgroundColor()
Returns the background color for the chart title.

Returns:
  The background color for the chart title (never `null`).

### getSubtitleFont

Font getSubtitleFont()
Returns the subtitle font.

Returns:
  The subtitle font (never `null`).

### getSubtitleColor

Color getSubtitleColor()
Returns the foreground color for the chart subtitle.

Returns:
  The foreground color (never `null`).

### getSubtitleBackgroundColor

Color getSubtitleBackgroundColor()
Returns the background color for the chart subtitle.

Returns:
  The background color (never `null`).

### getChartBoxColor

Color getChartBoxColor()
Returns the color for the chart box, if any.

Returns:
  The color for the chart box (never `null`).

### getColumnAxisGridlinesVisible

boolean getColumnAxisGridlinesVisible()
Returns the flag that controls whether or not gridlines are drawn perpendicular to the column axis in category plots.

Returns:
  A boolean.

### getRowAxisGridlinesVisible

boolean getRowAxisGridlinesVisible()
Returns the flag that controls whether or not gridlines are drawn perpendicular to the row axis in category plots.

Returns:
  A boolean.

### getXAxisGridlinesVisible

boolean getXAxisGridlinesVisible()
Returns the flag that controls whether or not gridlines are drawn perpendicular to the x-axis (or column axis).

Returns:
  A boolean.

### getYAxisGridlinesVisible

boolean getYAxisGridlinesVisible()
Returns the flag that controls whether or not gridlines are drawn perpendicular to the y-axis (or value axis).

Returns:
  A boolean.

### getZAxisGridlinesVisible

boolean getZAxisGridlinesVisible()
Returns the flag that controls whether or not gridlines are drawn perpendicular to the z-axis (or row axis).

Returns:
  A boolean.

### getGridlineColor

Color getGridlineColor()
Returns the color used to draw the gridlines.

Returns:
  The color (never `null`).

### getGridlineStroke

Stroke getGridlineStroke()
Returns the stroke used to draw the gridlines.

Returns:
  The stroke (never `null`).

### getSectionLabelFont

Font getSectionLabelFont()
Returns the font used for pie section labels.

Returns:
  The pie section label font (never `null`).

### getSectionLabelColor

Color getSectionLabelColor()
Returns the foreground color used for pie section labels.

Returns:
  The pie section label color (never `null`).

### getStandardColors

Color[] getStandardColors()
Returns the standard colors for the style.

Returns:
  The standard colors (never `null`).

### getAxisLabelFont

Font getAxisLabelFont()
Returns the axis label font. The axis label is usually a description of what the axis represents.

Returns:
  The axis label font (never `null`).
See Also:
  - `getAxisTickLabelFont()`

### getAxisLabelColor

Color getAxisLabelColor()
Returns the foreground color for axis labels.

Returns:
  The foreground color (never `null`).

### getAxisTickLabelFont

Font getAxisTickLabelFont()
Returns the axis tick label font.

Returns:
  The axis tick label font (never `null`).
See Also:
  - `getAxisLabelFont()`

### getAxisTickLabelColor

Color getAxisTickLabelColor()
Returns the color used to draw the tick labels on the axis.

Returns:
  The color (never `null`).

### getLegendHeaderFont

Font getLegendHeaderFont()
Returns the legend header font.

Returns:
  The legend header font (never `null`).

### getLegendHeaderColor

Color getLegendHeaderColor()
Returns the foreground color for the legend header if there is one.

Returns:
  The color (never `null`).

### getLegendHeaderBackgroundColor

Color getLegendHeaderBackgroundColor()
Returns the background color for the legend header if there is one.

Returns:
  The color (never `null`).

### getLegendItemShape

Shape getLegendItemShape()
Returns the standard shape for legend items.

Returns:
  The legend shape (never `null`).

### getLegendItemFont

Font getLegendItemFont()
Returns the legend item font.

Returns:
  The legend item font (never `null`).

### getLegendItemColor

Color getLegendItemColor()
Returns the foreground color for legend items.

Returns:
  The foreground color (never `null`).

### getLegendItemBackgroundColor

Color getLegendItemBackgroundColor()
Returns the background color for legend items.

Returns:
  The background color (never `null`).

### getLegendFooterFont

Font getLegendFooterFont()
Returns the legend footer font.

Returns:
  The legend footer font (never `null`).

### getLegendFooterColor

Color getLegendFooterColor()
Returns the color used for the legend footer text (if any).

Returns:
  The color (never `null`).

### getLegendFooterBackgroundColor

Color getLegendFooterBackgroundColor()
Returns the color used for the background of legend footer text (if any).

Returns:
  The color (never `null`).

### getMarkerLabelFont

Font getMarkerLabelFont()
Returns the font used to draw marker labels.

Returns:
  The font used to draw marker labels (never `null`).

### getMarkerLabelColor

Color getMarkerLabelColor()
Returns the color for the marker labels.

Returns:
  The color for the marker labels (never `null`).

### getMarkerLineStroke

Stroke getMarkerLineStroke()
Returns the stroke used to draw marker lines.

Returns:
  The stroke used to draw marker lines (never `null`).

### getMarkerLineColor

Color getMarkerLineColor()
Returns the color used to draw marker lines.

Returns:
  The color used to draw marker lines (never `null`).

### getMarkerFillColor

Color getMarkerFillColor()
Returns the color used to fill the band representing the marker range.

Returns:
  The fill color (never `null`).

### clone

ChartStyle clone()
Returns a clone of the chart style.

Returns:
  A clone (never `null`).

### addChangeListener

void addChangeListener(ChartStyleChangeListener listener)
Registers a listener to receive notification of changes to the chart style. Typically the chart registers with its style, and applies the style changes when it receives notification of any change.

Parameters:
  `listener` - the listener (`null` not permitted).

### removeChangeListener

void removeChangeListener(ChartStyleChangeListener listener)
Deregisters a listener so that it no longer receives notification of chart changes.

Parameters:
  `listener` - the listener (`null` not permitted).